MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DatabaseListener Class Referenceabstract

An object that listens to events from the Database. More...

`#include <DatabaseListener.hxx>`

## Public Member Functions
virtual void | OnDatabaseModified ()=0
| The database has been modified. More...
virtual void | OnDatabaseSongRemoved (const char *uri)=0
| During database update, a song is about to be removed from the database because the file has disappeared. More...

## Detailed Description

An object that listens to events from the Database.

See also
  Instance

Definition at line 30 of file DatabaseListener.hxx.

## Member Function Documentation

virtual void DatabaseListener::OnDatabaseModified | ( |  | ) |
| pure virtual

The database has been modified.

This must be called in the thread that has created the Database instance and that runs the EventLoop.

virtual void DatabaseListener::OnDatabaseSongRemoved | ( | const char * | uri | ) |
| pure virtual

During database update, a song is about to be removed from the database because the file has disappeared.

The documentation for this class was generated from the following file:

- db/DatabaseListener.hxx